import request from '@/utils/request'

// 推荐医院的列表
export function appointmentHospital(query) {
  return request({
    url: '/business/ownerApplet/hospitalList',
    method: 'get',
    params: query
  })
}

// 预约医院的列表
export function chooseHospital(query) {
  return request({
    url: '/business/ownerApplet/hospitalRecommendList',
    method: 'get',
    params: query
  })
}

// 宠物列表
export function petList(petOwnersId) {
  return request({
    url: '/business/ownerApplet/petList/' + petOwnersId,
    method: 'get'
  })
}

// 医生列表
export function doctorList(query) {
  return request({
    url: '/system/manage/MapLsitAll',
    method: 'get',
    params: query
  })
}

// 查询医生详情
export function doctorDetails(id) {
  return request({
    url: '/system/manage/' + id,
    method: 'get'
  })
}

// 查询医生排班信息
export function weekList(query) {
  return request({
    url: '/business/ownerApplet/getWeekList',
    method: 'get',
    params: query
  })
}

// 医生挂号情况
export function registerInfo(query) {
  return request({
    url: '/business/ownerApplet/getRegisterInfo',
    method: 'get',
    params: query
  })
}

// 新增挂号情况
export function addRegister(data) {
  return request({
    url: '/business/ownerApplet',
    method: 'post',
    data: data
  })
}

// 挂号详情
export function registerDetails(id) {
  return request({
    url: '/business/register/' + id,
    method: 'get'
  })
}
