import request from '@/utils/request'

// 订单详情
export function orderList(query) {
  return request({
    url: '/business/ownerApplet/getRegisterList',
    method: 'get',
    params: query
  })
}

// 病例详情
export function illCaseDetails(id, deptId) {
  return request({
    url: '/business/record/' + id + '?deptId=' + deptId,
    method: 'get'
  })
}

// 检查详情
export function orderCheckInfo(id) {
  return request({
    url: '/business/check/' + id,
    method: 'get'
  })
}

// 治疗详情
export function orderTreatInfo(id) {
  return request({
    url: '/business/treat/' + id,
    method: 'get'
  })
}

// 住院信息列表
export function orderIntoHospitalList(id) {
  return request({
    url: '/business/hospital/' + id,
    method: 'get'
  })
}

// 取消预约
export function cancelOrder(data) {
  return request({
    url: '/business/register',
    method: 'put',
    data: data
  })
}

// 会员卡详情
export function vipCardInfo(id) {
  return request({
    url: '/finance/card/' + id,
    method: 'get'
  })
}
