import request from '@/utils/request'

// 查询我的账户列表
export function myAccountList(query) {
  return request({
    url: '/finance/card/list',
    method: 'get',
    params: query
  })
}

// 医院选择器
export function hospitalPicker(query) {
  return request({
    url: '/finance/card/listAll',
    method: 'get',
    params: query
  })
}

export function cardMoneyNotNull(query) {
  return request({
    url: '/finance/card/addSelectListAll',
    method: 'get',
    params: query
  })
}

// 宠主的会员卡Id集合
export function ownerCardIds(id) {
  return request({
    url: '/finance/card/cardId/' + id,
    method: 'get'
  })
}

// 账户明细查询
export function accountDetailsList(query) {
  return request({
    url: '/finance/trade/his/Account',
    method: 'get',
    params: query
  })
}

// 账户详情
export function accountInfo(id) {
  return request({
    url: '/finance/card/' + id,
    method: 'get'
  })
}

// 账户详情-账户明细
export function accountInfoDetails(query) {
  return request({
    url: '/finance/trade/his/AccountDetails',
    method: 'get',
    params: query
  })
}

// 选择账户
export function selectHospitalAccount(query) {
  return request({
    url: '/finance/hospital/account',
    method: 'get',
    params: query
  })
}

// 添加账户
export function addHospitalCard(data) {
  return request({
    url: '/finance/card/add',
    method: 'post',
    data: data
  })
}

// 修改密码
export function undateCardPassword(query) {
  return request({
    url: '/finance/card',
    method: 'put',
    data: query
  })
}

// 密码支付
export function payPasswordConfirm(query) {
  return request({
    url: '/finance/card/password',
    method: 'get',
    params: query
  })
}
