import request from '@/utils/request'

export function getPetList(query) {
  return request({
    url: '/system/pets/list-all-app',
    method: 'get',
    params: query
  })
}

export function addPet(data) {
  return request({
    url: '/system/pets',
    method: 'post',
    data: data
  })
}

export function updatePet(data) {
  return request({
    url: '/system/pets',
    method: 'put',
    data: data
  })
}

// 查询宠物详细
export function getPets(id) {
  return request({
    url: '/system/pets/' + id,
    method: 'get'
  })
}

// 查询宠物主详情
export function getPetOwners(id) {
  return request({
    url: '/system/owners/WeChat/' + id,
    method: 'get'
  })
}

// 修改宠物主数据
export function updatePetOwners(data) {
  return request({
    url: '/system/owners',
    method: 'put',
    data: data
  })
}

// 根据字典类型查询字典数据信息
export function getDicts(dictType) {
  return request({
    url: '/system/dict/data/type/' + dictType,
    method: 'get'
  })
}

export function addPetApp(data) {
  return request({
    url: '/business/register/addPet',
    method: 'post',
    data: data
  })
}
