import upload from '@/utils/upload'
import request from '@/utils/request'

// 用户密码重置
export function updateUserPwd(oldPassword, newPassword) {
  const data = {
    oldPassword,
    newPassword
  }
  return request({
    url: '/system/user/profile/updatePwd',
    method: 'put',
    params: data
  })
}

// 查询用户个人信息
export function getUserProfile() {
  return request({
    url: '/system/user/profile',
    method: 'get'
  })
}

// 修改用户个人信息
export function updateUserProfile(data) {
  return request({
    url: '/system/user/profile',
    method: 'put',
    data: data
  })
}

// 用户头像上传
export function uploadAvatar(data) {
  return upload({
    url: '/system/user/profile/avatar',
    name: data.name,
    filePath: data.filePath
  })
}

// 图片上传
export function uploadMino(url) {
  return upload({
    url: '/business/common/uploadMinioPublic',
    name: 'multipartFile',
    filePath: url
  })
}

// 支付方法
export function unifiedOrder(data) {
  return request({
    url: '/finance/api/wechatPay/v3/wechatPay',
    method: 'post',
    data: data
  })
}
// 查询支付结果
export function queryWxOrder(data) {
  return request({
    url: '/finance/wx/trade/queryWxOrder',
    method: 'get',
    data: data
  })
}

//  会员卡支付
export function CardPaymentVip(data) {
  return request({
    url: '/business/trade/his',
    method: 'post',
    data: data
  })
}
