import {unifiedOrder, queryWxOrder} from "@/api/system/user";
import {addHospitalCard} from "../api/system/my_account";
/**
* @Description: 微信支付公共方法
* @Author: 刘
* @Date: 2023-07-05 14:13:09
 * 传入值样式见下
 *  {
 *         "linkId":1, // 挂号id或者会员卡id
 *         "type":"0", // 类型 0-挂号 1- 会员卡
 *         "content":"dhashdas", // 备注
 *         "openId": uni.getStorageSync('openId') // 备注
 *       }
*/
export const payWx = (params,test,fail) => {
    unifiedOrder(params).then(res => {
        console.log(res)
        const requestPayment = {
            provider: 'wxpay',    //支付类型-固定值
            timeStamp: res.data.timeStamp, // 时间戳（单位：秒）
            nonceStr: res.data.nonceStr, // 随机字符串
            package: res.data.package, // 固定值
            signType: res.data.signType, //固定值
            paySign: res.data.paySign, //签名
            success: function (resSuccess) {
				test()
                console.log('success:' + JSON.stringify(resSuccess));
                console.log('queryWxOrder',{id: res.data.id})
                queryWxOrder({id: res.data.id}).then(queryResult => {
                    console.log('queryResult', queryResult)
                })
            },
            fail: function (err) {
				fail()
                // console.log('fail:' + JSON.stringify(err));
                console.log("支付失败");
                uni.showToast({
                    icon: 'none',
                    title: '支付失败'
                })
            }
        }
        console.log('requestPayment', requestPayment)
        uni.requestPayment(requestPayment);
    })
}

export const payWxToCard = (params,test,add,fail) => {
    unifiedOrder(params).then(res => {
        console.log(res)
        const requestPayment = {
            provider: 'wxpay',    //支付类型-固定值
            timeStamp: res.data.timeStamp, // 时间戳（单位：秒）
            nonceStr: res.data.nonceStr, // 随机字符串
            package: res.data.package, // 固定值
            signType: res.data.signType, //固定值
            paySign: res.data.paySign, //签名
            success: function (resSuccess) {
				test()
				add.id = res.data.id
                console.log('success:' + JSON.stringify(resSuccess));
                console.log('queryWxOrder',add)
                queryWxOrder(add).then(queryResult => {
                    console.log('queryResult', queryResult)
                })

            },
            fail: function (err) {
				fail()
                // console.log('fail:' + JSON.stringify(err));
                console.log("支付失败");
                uni.showToast({
                    icon: 'none',
                    title: '支付失败'
                })
            }
        }
        console.log('requestPayment', requestPayment)
        uni.requestPayment(requestPayment);
    })
}